#ifndef __NEW_H
   #define __NEW_H

   /********************************************************************/
   /*  <new.h> header file                                             */
   /*                                                                  */
   /*  Licensed Materials - Property of IBM                            */
   /*                                                                  */
   /*  IBM C Set/2 Beta Version                                        */
   /*  Copyright (C) International Business Machines Corp., 1992       */
   /*  All rights reserved                                             */
   /*                                                                  */
   /*  US Government Users Restricted Rights -                         */
   /*  Use, duplication, or disclosure restricted                      */
   /*  by GSA ADP Schedule Contract with IBM Corp.                     */
   /*                                                                  */
   /********************************************************************/
   #include <stddef.h>

   // Definition of C++ storage management -- new & delete

   extern void (*set_new_handler (void(*)()))();
   void *operator new(size_t, void *);

   // The standard favourites
   void *operator new(size_t);
   void operator delete(void *);

#endif /* __NEW_H */
